/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Contributor(s) : Santhosh N, Girish A J, P R Subramanya 
#include <pwrap.h>

pw_widget toplevel, combo;

void combobox_change(pw_widget widget, int index)
{
	printf("Selected index: %d\n", index);
}

int main(int ac, char **av)
{
	pw_init(0);

     toplevel = pw_create_window(240, 270, PW_TITLE, "Example", PW_CONFIG_END);

	combo = pw_create_combobox(toplevel, 20, 20, 150,20, PW_NA);
	pw_combobox_insert(combo, "One", False);
	pw_combobox_insert(combo, "Two", False);
	pw_combobox_insert(combo, "Three", False);
	pw_combobox_insert(combo, "Four", True);
	pw_combobox_selection_intimate(combo, combobox_change);

	pw_eventloop();

     pw_exit();
}
