/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Contributor(s) : Santhosh N, Girish A J, P R Subramanya 
#include <pwrap.h>

pw_widget toplevel, button;

Bool bcallback(pw_widget widget, pw_event event)
{
	int ret;

	ret = pw_messagebox(toplevel, PW_MSGBOX_BUTTON_YESNO,
						PW_MSGBOX_ICON_QUESTION, "Question", "Do you want to quit?");

	if(ret==PW_MSGBOX_RETURN_YES)
		exit(0);
	
	return False;
}

int main(int ac, char **av)
{
	pw_init(0);

     toplevel = pw_create_window(240, 270, PW_TITLE, "Example", PW_CONFIG_END);

	button = pw_create_button(toplevel, 20, 120, 200, 30, 
								PW_TEXT, "Message Box", 
								PW_CALLBACK, PW_BUTTON_RELEASE_EVENT, bcallback,
								PW_NA);

	pw_eventloop();

     pw_exit();
}
