/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Contributor(s) : Santhosh N, Girish A J, P R Subramanya 
#include <pwrap.h>

int main(int ac, char **av)
{
	pw_widget toplevel;
	pw_pixmap pixmap;
	
	pw_init(0);

     toplevel = pw_create_window(240, 270, PW_TITLE, "Example", PW_CONFIG_END);

	pixmap = pw_create_pixmap_from_file("img.jpg");
	printf("%d %d\n", pw_get_pixmap_width(pixmap), pw_get_pixmap_height(pixmap));
	pw_draw_pixmap(pixmap, toplevel, 140, 10, 160, 160, 40, 40);
	pw_destroy_pixmap(pixmap);

	pw_eventloop();

     pw_exit();
}
