/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Contributor(s) : Santhosh N, Girish A J, P R Subramanya 
#include <pwrap.h>

int main(int ac, char **av)
{
	pw_widget toplevel, frame;
	
	pw_init(0);

	toplevel = pw_create_window(240, 270, PW_TITLE, "Example", PW_CONFIG_END);
	frame = pw_create_frame(toplevel, 0, 0, 240, 270, PW_BGCOLOR, "linen", PW_CONFIG_END);

	pw_set_drawcolor("darkblue");
	pw_draw_circle(frame, 50, 50, 30);

	pw_set_drawcolor("#ff0000");
	pw_draw_rectangle(frame, 150, 30, 60, 30);
	
	pw_set_drawcolor("darkgreen");
	pw_fill_rectangle(frame, 20, 120, 60, 30);

	pw_set_drawcolor("pink");
	pw_fill_arc(frame, 150, 150, 80, 60, 0, 90);
	
	pw_eventloop();

     pw_exit();
}
