/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Contributor(s) : Santhosh N, Girish A J, P R Subramanya 
#include <pwrap.h>

int fg = 0;

Bool bcallback(pw_widget widget, pw_event event)
{
	puts(widget->tag);

	return False;
}

int main(int ac, char **av)
{
	pw_widget toplevel, toplevel_button, frame, frame_button;
	
	pw_init(PW_SUPPORT_ALCHEMY|PW_SUPPORT_DRAFTMODE);

     toplevel = pw_create_window(240, 270, PW_TITLE, "Example", 
									PW_CONFIG_END);
	toplevel_button = pw_create_button(toplevel, 10, 10, 100, 30, 
							PW_TEXT, "Toplevel", 
							PW_TAG, "Toplevel_Button",
							PW_CALLBACK, PW_BUTTON_RELEASE_EVENT, bcallback,
							PW_FONT, PW_BOLD_FONT,
							PW_CONFIG_END);

     frame = pw_create_frame(toplevel, 55, 170, 140, 70, 
							PW_CONFIG_END);
	frame_button = pw_create_button(frame, 20, 20, 100, 30, 
							PW_TEXT, "Frame", 
							PW_TAG, "Frame_Button",
							PW_CALLBACK, PW_BUTTON_RELEASE_EVENT, bcallback,
							PW_FONT, PW_BOLD_FONT,
							PW_CONFIG_END);

	pw_eventloop();

     pw_exit();
}
