/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Author : Saugata Das
#ifndef __PDEFS
#define __PDEFS

#include <string.h>
#include <stdlib.h>
#include <stdarg.h>

#ifdef __arm__
#include <X11/extensions/Xrandr.h>
#endif

struct __pw_global_vars {
	px_display *pdisplay;
	int screen;
	Display *xdisplay;
	unsigned pw_flags;
	GC draw_gc;
	px_widget *toplevel_win;
};

extern struct __pw_global_vars _pw_global_vars;

#define pdisplay			(_pw_global_vars.pdisplay)
#define xdisplay			(_pw_global_vars.xdisplay)
#define screen				(_pw_global_vars.screen)
#define pw_flags			(_pw_global_vars.pw_flags)
#define draw_gc			(_pw_global_vars.draw_gc)
#define toplevel_win		(_pw_global_vars.toplevel_win)

void _pw_serve_options(pw_widget widget, va_list vl);
char *_pw_my_printf(const char *fmt, va_list vl);
void _pw_redraw_queue_add(pw_widget widget, int show);

#endif
